Subject: PrologSQL beta release

From: "Sergey Sikorsky" <[email-masked]>
Date: Thu, 24 Feb 2000 22:26:57 +0300

I would like to announce the beta release of PrologSQL, the SWI-Prolog to
SQL
bridge (ODBC & ORACLE). All information is available at the page:

  http://www.geocities.com/SiliconValley/Bit/1116/PrologSQL.html

The Prolog - Oracle interface provides the programmer with two levels of
interaction. The first, relation level interface, offers a tuple-at-a-time
retrieval of information from the database tables. The second, view level
interface, can translate an entire Prolog clause into a single SQL query to
the database, including joins and aggregate operations.

This interface allows database tables to be accessed from Prolog environment
as though they existed as facts. All database accesses are done on the fly
allowing Prolog to sit alongside other concurrent tasks.

PrologSQL interface gives a database programmer all the features of Prolog
as
a query language including intensional database specification, recursion,
the
ability to deal with incomplete knowledge, inference control through the cut
operation, and the representation of negative knowledge through negation.

Interface features
 - Concurrent access for multiple Prolog systems to Oracle 8.* and ODBC
 - Full data access and cursor transparency including support for
  - Full data recursion
  - Runtime type checking
  - Automatic handling of NULL values for insertion, deletion and
   querying
  - Partial recovery for cursor losses due to cuts
 - Full access to Oracle's SQLplus including
  - Transaction support
  - Cursor reuse for cached SQL statements with bind variables
   (by avoiding re-parsing and re-declaring).
  - Caching compiler generated SQL statements with bind variables
   and efficient cursor management for cached statements
 - A powerful Prolog/SQL compiler
 - Full source code availability for ports to other versions of Oracle
  or other platforms
 - Independence from database schema by employing relation level
 - Performance as SQL by employing view level
 - No mode specification is required for optimized view compilation
 - PrologSQL is distributed under GNU public license.
 - PrologSQL is derieved from XSB - Oracle Interface By Hassan Davulcu
  and Ernie Johnson.
 - XSB - Oracle Interface uses a powerful Prolog/SQL compiler from
  Christoph Draxler, Munich.
 - Oracle and Odbc Template Library from Sergei Kuchinis is used as a
  low level database access engine.

Sergey Sikorsky